LogoopenSUSE Build Service > Projects
Sign Up | Log In

View File goobox.changes of Package goobox (Project GNOME:Apps)

-------------------------------------------------------------------
Sat Oct 13 11:38:08 UTC 2012 - dimstar@opensuse.org

- Add gconf2 BuildRequires: used to be pulled in implicit by other
  packages. The build system makes use of gconftool-2, and thus
  requires this to be present.

-------------------------------------------------------------------
Fri Mar 30 07:16:12 UTC 2012 - vuntz@opensuse.org

- Update to version 3.0.1:
  + Fixed compilation linking explicitly to the math library.
  + Updated translations.

-------------------------------------------------------------------
Tue Feb 28 07:18:08 UTC 2012 - vuntz@opensuse.org

- Add pkgconfig(ice) and pkgconfig(sm) BuildRequires to fix build
  after the relayout of the xorg-x11 packages.

-------------------------------------------------------------------
Tue Oct  4 08:51:28 CEST 2011 - dimstar@opensuse.org

- Update to version 3.0.0:
  + Removed use of deprecated code.
  + Updated translations.

-------------------------------------------------------------------
Thu Sep  1 16:15:40 UTC 2011 - vuntz@opensuse.org

- Update to version 2.90.2:
  + Bugs fixed:
    - Fixed loading of the CD when /dev/cdrom doesn't exits.
    - Removed wrong use of the dark theme.
  + Internal code changes:
    - The documentation has been ported to Mallard.
    - Fixed compilation warnings.
  + Updated translations.

-------------------------------------------------------------------
Tue Jun  7 11:00:38 CEST 2011 - vuntz@opensuse.org

- Update to version 2.90.1:
  + New features and user visible changes:
    - Ported to GTK+ 3.0, GSettings, GDBus, GtkApplication
    - Ported to libmusicbrainz 3
    - Added support for libnotify 0.7
    - Use symbolic icons
    - Preferer the dark theme
    - Added a high definition icon
    - Don't use the status icon with GNOME Shell
  + Bugs fixed:
    - Fixed CD cover search
  + Updated translations.
- Update pkgconfig() BuildRequires for this port to GNOME 3:
  + Drop dbus-glib-1, gconf-2.0, unique-1.0.
  + Change gtk+-2.0, libbrasero-media to gtk+-3.0,
    libbrasero-media3.
- Change libmusicbrainz-devel BuildRequires to
  pkgconfig(libmusibrainz3), and add pkgconfig(libdiscid)
  BuildRequires, for libmusicbrainz3 port.
- Replace GConf2 schemas handling with GSettings schemas handling,
  with %glib2_gsettings_schema_* macros, and remove gconf-specific
  --disable-schemas-install configure flag.

-------------------------------------------------------------------
Thu Apr 28 12:45:34 CEST 2011 - vuntz@opensuse.org

- Move to pkgconfig()-style BuildRequires:
  + Old ones: brasero-devel, dbus-1-glib-devel, gconf2-devel,
    gstreamer010-devel, libnotify-devel, libunique-devel.
  + New ones: dbus-glib-1, gconf-2.0, glib-2.0, gstreamer-0.10,
    gtk+-2.0, libbrasero-media, libnotify, unique-1.0.

-------------------------------------------------------------------
Sat Feb 12 18:55:47 CET 2011 - vuntz@opensuse.org

- Call relevant macros in %post/%postun:
  + %desktop_database_post/postun because the package ships at
    least one desktop file.
  + %icon_theme_cache_post/postun because the package ships themed
    icons.
- Pass %{?no_lang_C} to %find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Change Requires of lang subpackage to Recommends, since the
  english documentation is not there anymore.

-------------------------------------------------------------------
Tue Dec 14 15:48:46 CET 2010 - vuntz@opensuse.org

- Own /usr/share/gnome and /usr/share/gnome/help to fix build.

-------------------------------------------------------------------
Wed Nov 17 18:00:45 CET 2010 - badshah400@gmail.com

- Update to version 2.2.0:
  + Bug fixes:
    - Fixed translation of some strings on the command line help
    - Removed the use of glib/gtk+ deprecated functions
    - Updated the README file
  + Updated translations.

-------------------------------------------------------------------
Wed Aug  4 16:11:17 CEST 2010 - dimstar@opensuse.org

- Update to version 2.1.2:
  + bgo#624188: Flac quality level 9 does not work
  + bgo#623607: Make sure the cache directory exists before saving
    the file
  + bgo#604437: Save pixbufs.h in the build directory
  + Fixed error when a gstreamer plugin is not available.
  + Updated translations.

-------------------------------------------------------------------
Fri Dec  4 03:39:55 CET 2009 - vuntz@opensuse.org

- Update to version 2.1.1:
  + Ported to modern libraries, removed use of deprecated
    functions.
  + Always show the whole track list, without scrollbars.
  + Respect the autoplay setting even at start up time.
  + Added documentation for the preferences dialog.
- Remove gstreamer010-plugins-base-devel, libglade2-devel,
  libgnomeui-devel BuildRequires.
- Add brasero-devel, dbus-1-glib-devel, gconf2-devel,
  gstreamer010-devel, libunique-devel BuildRequires.
- Do not package omf files twice.

-------------------------------------------------------------------
Fri Nov 13 13:27:47 CET 2009 - vuntz@opensuse.org

- Update to version 2.0.1:
  + Preferences dialog crash
  + Support transparent tray icon (bgo#554876)
  + Notification action buttons are shown only if notification
    daemon supports actions.
  + Fixed bgo#573162 - Reports "Invalid" device for all my CD
    drives
  + Updated translations.
- Remove unneeded BuildRequires: docbook_4, libidl, libxslt.
- Add libnotify-devel BuildRequires (and remove BuildConflicts).
- Add --disable-scrollkeeper configure option.
- Drop goobox-1.9.2-enable_sk.patch: not needed anymore.
- Drop goobox-1.9.2-ac.patch: not needed anymore.
- Drop goobox-0.9.93-stringcompare.patch: fixed upstream.
- Remove call to autoreconf and intltoolize.
- Remove explicit gconf2 and filesystem PreReq: gconf2 is covered
  by gconf_schemas_prereq.

-------------------------------------------------------------------
Mon Feb 16 17:49:47 CET 2009 - sbrabec@suse.cz

- Added support for translation-update-upstream (FATE#301344).

-------------------------------------------------------------------
Wed Sep 03 10:26:10 CEST 2008 - mboman@novell.com

- Update to version 2.0.0:
  + Fixed bug bgo#478435 – several memory leaks.
  + Open the 'copy cd' dialog on the same screen of the main window.
  + Updated translations

-------------------------------------------------------------------
Tue Apr 15 10:26:10 CEST 2008 - schwab@suse.de

- Fix configure script.

-------------------------------------------------------------------
Wed Apr  2 05:33:09 CEST 2008 - maw@suse.de

- Update to version 1.9.2:
  + New features
  + Many, many bugfixes.

- Drop goobox-0.9.2-no_nb.patch

-------------------------------------------------------------------
Wed Aug  8 00:40:43 CEST 2007 - maw@suse.de

- Use %fdupes
- Split off a -lang subpackage.

-------------------------------------------------------------------
Mon Jun 18 01:07:30 CEST 2007 - ro@suse.de

- avoid string compare with char literal 

-------------------------------------------------------------------
Mon Mar 26 12:18:43 CEST 2007 - sbrabec@suse.cz

- Fixed gconf scriptlets.
- Reduced BuildRequires.

-------------------------------------------------------------------
Thu Jan 25 09:50:08 CET 2007 - aj@suse.de

- GNOME moves to /usr.

-------------------------------------------------------------------
Fri Oct 13 08:04:29 CEST 2006 - aj@suse.de

- Add gnome-doc-utils-devel to BuildRequires.
- Cleanup BuildRequires.
- Use RPM_OPT_FLAGS.

-------------------------------------------------------------------
Sun Apr  9 07:50:53 CEST 2006 - jpr@suse.de

- Port to gstreamer 0.10

-------------------------------------------------------------------
Wed Jan 25 21:32:00 CET 2006 - mls@suse.de

- converted neededforbuild to BuildRequires

-------------------------------------------------------------------
Wed Jan 18 17:15:53 CET 2006 - lmichnovic@suse.cz

- updated to version 0.9.93
- libxslt, gnome-doc-utils added into NFB
- added patch fixing makefile (enable_sk.patch)
- added patch fixing uninitialized variable

-------------------------------------------------------------------
Thu Aug  4 17:50:37 CEST 2005 - anicka@suse.cz

- update to 0.9.92
- add patch removing no locale 

-------------------------------------------------------------------
Thu Feb 10 16:40:01 CET 2005 - sbrabec@suse.cz

- Require libsigc++12 in neededforbuild.

-------------------------------------------------------------------
Mon Jan 24 11:17:57 CET 2005 - ro@suse.de

- fix lib64 build 

-------------------------------------------------------------------
Mon Jan 24 01:32:51 CET 2005 - clahey@suse.de

- Initial package.